File openstack-quantum.changes of Package openstack-quantum.1429

-------------------------------------------------------------------
Mon Mar 11 10:01:24 UTC 2013 - vuntz@suse.com

- Update 12.3 packages to Folsom as of March 5th. This comes with·
  security fixes and bug fixes that we need to have OpenStack work
  nicely. Fix bnc#802278.

--------------------------------------------------------------------
Wed Mar  6 15:27:15 UTC 2013 - cloud-devel@suse.de

- Update to version 2012.2.4+git.1362583635.f94b149:
  + L3 port delete prevention: do not raise if no IP on port

--------------------------------------------------------------------
Tue Mar  5 17:21:24 UTC 2013 - cloud-devel@suse.de

- Update to version 2012.2.4+git.1362504084.06e42f8:
  + Close file descriptors when executing sub-processes
  + Persist updated expiration time

--------------------------------------------------------------------
Fri Feb 22 10:12:49 UTC 2013 - cloud-devel@suse.de

- Update to version 2012.2.4+git.1361527969.4de49b4:
  + only destroy single namespace if router_id is set
  + Enable OVS and NETNS utilities to perform logging
  + Disable dhcp_domain distribution when dhcp_domain is empty
  + Shorten the DHCP default resync_interval

--------------------------------------------------------------------
Wed Feb  6 07:00:16 UTC 2013 - cloud-devel@suse.de

- Update to version 2012.2.4+git.1360134016.d2a85e6:
  + Final versioning for 2012.2.3
  + Bump version to 2012.2.4

--------------------------------------------------------------------
Wed Jan 30 07:10:52 UTC 2013 - cloud-devel@suse.de

- Update to version 2012.2.3+git.1359529852.a84ba7e:
  + Regression caused by commit b56c2c998
  + LinuxBridge: update status according to admin_state_up
  + Ensure that correct root helper is used

-------------------------------------------------------------------
Fri Jan 18 16:04:52 UTC 2013 - vuntz@suse.com

- Update to version 2012.2.3+git.1358525076.1a24b68:
  + Use default_notification_level when notification
  + Correct exception output for subnet deletion when port is used
  + quantum-plugin-nicira imports mock but was not used
  + Enable tenants to set non-owned ext network as router gateway
  + Enable the user to enforce validity of the gateway IP
  + Ensures that the dnsmasq configuration file flag is always set
  + Ensure allocation pools are deleted from database
  + Fixes update router gateway successful with existed floatingip association
  + Add OVS cleanup utility
  + prevent deletion of router interface if it is needed by a floating ip
  + Provide "atomic" database access for networks
  + Pin pep8 to v1.3.3.
  + Fix log message for unreferenced variable
- Update file list for new quantum-ovs-cleanup binary.

--------------------------------------------------------------------
Wed Dec 19 12:44:23 UTC 2012 - saschpe@suse.de

- Move to obs-service-git_tarballs
  + Drop BuildRequires: python-setuptools-git
- Update to version 2012.2.3+git.1355917463.aa50aac:
  + Bump next version to 2012.2.3
  + dhcp.filters needs ovs_vsctl permission
  + Fix rpc control_exchange regression.
  + Bump next version to 2012.2.2
  + Final 2012.2.1 versioning
  + fix remap of floating-ip within l3-agent polling interval
  + Prevent router being deleted if it is used by a floating IP
  + Fixes order of route entries.
  + Use DB count to get resource counts.
  + Make sure we can update when there is no gateway port linked to it
  + Treat case when pid is None
  + Updates tearDown() to release instance objects
  + Ensure that the expiration time for leased IP is updated correctly
  + Part of the patch set that enables VM's to use libvirts bridge type.
  + bug 1057844: improve floating-ip association checks
  + Improve openvswitch and linuxbridge agents' parsing of mappings
  + Updates clear_db() to unregister models and close session.
  + fix incorrect kwarg param name for region with l3-agent
  + Allow NVP plugin to use per-tenant quota extension
  + Ensure that deleted gateway IP address is recycled correctly
  + Ensure that fixed port IP address is in valid allocation range.
  + Delete floating port and floatingip in the same transaction
  + Remove qpid configuration variables no longer supported
  + Update stable with stable oslo (aka common)
  + Add check for cidr overrapping for adding external gateway
  + Validate L3 inputs.
  + Ensure that HTTP 400 codes are returned for invalid input
  + IP subnet validation fixes
  + Update KillFilter to handle 'deleted' exe's.
  + Update vif driver of Ryu plugin
  + Fix exception when port status is updated with linux bridge plugin
  + Delete the child object via setting the parent's attribute to None.
  + Make create_floatingip support transaction
  + Get subnets of router interfaces with an elevated context.
  + Ensure that the SqlSoup import is still supported.
  + Logging indicates when service starts and terminates
  + get_network in nvp plugin didn't return subnet information
  + Fix flag name for l3 agent external network id
  + use object directly instead of the foreigh key to update master db object.
  + remove default value of local_ip in OVS agent
  + Call iptables without absolute path.
  + correct nvplib to update device_id
  + l3_nat_agent was renamed to l3_agent
  + Ensures port is not created when database exception occurs
  + Treat invalid namespace call
  + Set defaultbranch in .gitreview to stable/folsom
  + Restore SIGPIPE default action for subprocesses

-------------------------------------------------------------------
Fri Dec  7 11:42:57 UTC 2012 - saschpe@suse.de

- Use --install-data=/ to install config files into the correct 
  location (instead of %{_prefix}). Upstream doesn't really use the
  "data_files" directive correctly, but they want to use it in virtual
  environments, thus absolute paths are not helpful in data_file (see
  https://review.openstack.org/#/c/17465/ for reference)
  + Thus drop quantum-data_files_abs_path.patch

-------------------------------------------------------------------
Wed Dec  5 10:17:19 UTC 2012 - saschpe@suse.de

- Install some configuration files for testsuite
- Added a fix for python-bytecode-inconsistent-mtime

-------------------------------------------------------------------
Wed Dec  5 09:37:43 UTC 2012 - saschpe@suse.de

- Use @PARENT_TAG@ in _service file to automate versioning

-------------------------------------------------------------------
Tue Dec  4 14:36:55 UTC 2012 - saschpe@suse.de

- Add quantum-data_files_abs_path.patch: data_files paths should
  be absolute (drop "Fix weird buglet in installer")

-------------------------------------------------------------------
Tue Dec  4 13:44:06 UTC 2012 - saschpe@suse.de

- Add quantum-manifestin.patch: Add missing config files to
  MANIFEST.in

-------------------------------------------------------------------
Mon Dec  3 09:58:56 UTC 2012 - saschpe@suse.de

- Move %restart_on_update-postun into %postun
- Drop {bin,tools}/__init__.py: Backport of 
  https://review.openstack.org/17337

-------------------------------------------------------------------
Fri Nov 23 13:03:14 UTC 2012 - saschpe@suse.de

- Add "su" option to logrotate script
- Ghost /var/log/run
- Remove runlevel4 and add "restart" command to init script

-------------------------------------------------------------------
Thu Nov 15 14:03:17 UTC 2012 - saschpe@suse.de

- Use openstack-macros
- Add rpmlintrc

-------------------------------------------------------------------
Fri Nov  9 10:18:40 UTC 2012 - saschpe@suse.de

- Add more test requirements for which we have packages now:
  + Requires: python-cliff
  + Requires: python-nosehtmloutput
  + Requires: python-nosexcover

-------------------------------------------------------------------
Thu Nov  8 11:47:02 UTC 2012 - saschpe@suse.de

- Drop from_vcs build flag

-------------------------------------------------------------------
Wed Oct 10 14:57:05 UTC 2012 - vuntz@suse.com

- Update to version 2012.2 (Folsom):
  + See https://github.com/openstack/quantum/commits/folsom-3
- Set license to Apache-2.0 (SPDX style)
- Buildrequire python-base instead of python-devel:
  + Sufficient for Python-only modules (containing no C/C++ code)
- Move runtime Python module requirements from the base package to
  python-quantum
- Build and install manpages

-------------------------------------------------------------------
Thu Aug 23 13:18:15 UTC 2012 - cthiel@suse.com

- pre-require pwdutils (bnc#777123)

-------------------------------------------------------------------
Fri Aug  3 11:55:03 CEST 2012 - ro@suse.de

- (fake changelog entry) submission for RC1 

-------------------------------------------------------------------
Wed Jun 27 13:28:28 UTC 2012 - saschpe@suse.de

- Change versioning scheme to $release+git.$AUTHORDATE.$COMMITREV
- Simplify from_vcs macros
- Consistent package summaries
- Macro cleanup:
  + Package is noarch except for SLE-11

-------------------------------------------------------------------
Tue Jun 12 10:56:02 UTC 2012 - saschpe@suse.de

- Use 'openstack-quantum' system user instead of 'quantum'. However,
  the service still runs as root

-------------------------------------------------------------------
Thu May 24 10:46:03 MDT 2012 - jfehlig@suse.com

- Add 'Requires: python >= 2.6.8'

-------------------------------------------------------------------
Mon Jan 30 16:35:05 CET 2012 - iartarisi@suse.cz

- changed Group from Devel/Languages/Python to System/Management
- updated sources for the no_from_vcs version

-------------------------------------------------------------------
Wed Jan 25 13:29:11 CET 2012 - iartarisi@suse.cz

- quantum has split into quantum (server) and python-quantumclient -
  remove old quantum files
- removed unused macro: python_sitearch
- added a better description

-------------------------------------------------------------------
Tue Jan 10 13:53:17 UTC 2012 - cfarrell@suse.com

- license update: Apache-2.0 and GPL-3.0+
  Use SPDX syntax and add GPL-3.0+ (aggregation) because of rfc.sh

-------------------------------------------------------------------
Tue Dec 13 14:07:08 UTC 2011 - vuntz@opensuse.org

- Merge changes to enable build from git:
  + Add from_vcs and no_from_vcs bconds, that can be used in
    addition to the BUILD_FROM_VCS macro to decide what to build.
  + Add some warning to summary of packages is building from VCS.
  + Add python-virtualenv BuildRequires since build system changed,
    and rework the %install section to work since there install on
    the toplevel setup.py doesn't work anymore.

-------------------------------------------------------------------
Mon Dec  5 11:30:25 UTC 2011 - prusnak@opensuse.org

- spec cleanup

-------------------------------------------------------------------
Thu Oct 27 15:06:56 UTC 2011 - cthiel@suse.com

- initial package
openSUSE Build Service is sponsored by